Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.genericinsurability.protocol.v1
Class GetInsurabilityAsXmlOrFlatRequestType

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v1.RequestType
          be.fgov.ehealth.genericinsurability.protocol.v1.GetInsurabilityAsXmlOrFlatRequestType

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  GetInsurabilityAsFlatRequest, GetInsurabilityRequest

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-10-16T01:48:15+02:00",
               comments="JAXB RI v2.2.11")
    public class GetInsurabilityAsXmlOrFlatRequestType

extends RequestType
implements Serializable

Java class for GetInsurabilityAsXmlOrFlatRequestType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetInsurabilityAsXmlOrFlatRequestType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}RequestType">
           <sequence>
             <element name="CommonInput" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}CommonInputType"/>
             <element name="RecordCommonInput" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}RecordCommonInputType"/>
             <element name="Request" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}SingleInsurabilityRequestType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetInsurabilityAsXmlOrFlatRequestType()`

Method Summary
`CommonInputType` | `getCommonInput()` Gets the value of the commonInput property.
`RecordCommonInputType` | `getRecordCommonInput()` Gets the value of the recordCommonInput property.
`SingleInsurabilityRequestType` | `getRequest()` Gets the value of the request property.
`void` | `setCommonInput(CommonInputType value)` Sets the value of the commonInput property.
`void` | `setRecordCommonInput(RecordCommonInputType value)` Sets the value of the recordCommonInput property.
`void` | `setRequest(SingleInsurabilityRequestType value)` Sets the value of the request property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetInsurabilityAsXmlOrFlatRequestType

    public GetInsurabilityAsXmlOrFlatRequestType()

Method Detail

### getCommonInput

    public CommonInputType getCommonInput()

  Gets the value of the commonInput property.

  Returns:
    possible object is `CommonInputType`

### setCommonInput

    public void setCommonInput(CommonInputType value)

  Sets the value of the commonInput property.

  Parameters:
    `value` - allowed object is `CommonInputType`

### getRecordCommonInput

    public RecordCommonInputType getRecordCommonInput()

  Gets the value of the recordCommonInput property.

  Returns:
    possible object is `RecordCommonInputType`

### setRecordCommonInput

    public void setRecordCommonInput(RecordCommonInputType value)

  Sets the value of the recordCommonInput property.

  Parameters:
    `value` - allowed object is `RecordCommonInputType`

### getRequest

    public SingleInsurabilityRequestType getRequest()

  Gets the value of the request property.

  Returns:
    possible object is `SingleInsurabilityRequestType`

### setRequest

    public void setRequest(SingleInsurabilityRequestType value)

  Sets the value of the request property.

  Parameters:
    `value` - allowed object is `SingleInsurabilityRequestType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.14.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.